Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Botan::PK_Ops::Decryption_with_EME Class Referenceabstract

`#include <pk_ops_impl.h>`

Inheritance diagram for Botan::PK_Ops::Decryption_with_EME:

## Public Member Functions
secure_vector< uint8_t > | decrypt (uint8_t &valid_mask, const uint8_t msg[], size_t msg_len) override
| ~Decryption_with_EME ()=default

## Protected Member Functions
| Decryption_with_EME (const std::string &eme)

## Detailed Description

Definition at line 39 of file pk_ops_impl.h.

## Constructor & Destructor Documentation

Botan::PK_Ops::Decryption_with_EME::~Decryption_with_EME | ( |  | ) |
| default

Botan::PK_Ops::Decryption_with_EME::Decryption_with_EME | ( | const std::string & | eme | ) |
| explicit protected

Definition at line 33 of file pk_ops.cpp.

References Botan::get_eme().

34 {
35 m_eme.reset(get_eme(eme));
36 if(!m_eme.get())
37 throw Algorithm_Not_Found(eme);
38 }
Botan::get_eme
EME * get_eme(const std::string &algo_spec)
Definition: eme.cpp:25

## Member Function Documentation

secure_vector< uint8_t > Botan::PK_Ops::Decryption_with_EME::decrypt | ( | uint8_t & | valid_mask,
|  | const uint8_t | msg[],
|  | size_t | msg_len
| ) |  |
| override virtual

Implements Botan::PK_Ops::Decryption.

Definition at line 41 of file pk_ops.cpp.

44 {
45 const secure_vector<uint8_t> raw = raw_decrypt(ciphertext, ciphertext_len);
46 return m_eme->unpad(valid_mask, raw.data(), raw.size());
47 }

The documentation for this class was generated from the following files:

- src/lib/pubkey/pk_ops_impl.h
- src/lib/pubkey/pk_ops.cpp